Appearance
TimeEntryType
Categories of tracked time, such as work or driving. A type that is unassigned books its entries on no assignment.
OpenAPI Spec
List TimeEntryTypes
GET
/v2/time-entry-types
List TimeEntryTypes
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Query Parameters
page
Type
number
Minimum
0Default
0size
Type
number
Minimum
1Maximum
20Default
10uuid
eventTypeUuid
name
isUnassigned
deactivatedAt
order
externalId
createdAt
updatedAt
Responses
List response
application/json
JSON "page": 0, "pages": 0, "size": 10, "items": [ { "uuid": "string", "name": "string", "isUnassigned": true, "eventTypeUuid": "string", "order": 0, "deactivatedAt": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string" } ]
{
}
Create a new TimeEntryType
POST
/v2/time-entry-types
Create a new TimeEntryType
Authorizations
apiKey
Type
HTTP (bearer)
Request Body
application/json
JSON "uuid": "string", "name": "string", "isUnassigned": true, "eventTypeUuid": "string", "order": 1, "externalId": "string"
{
}
Responses
TimeEntryType found
application/json
JSON "uuid": "string", "name": "string", "isUnassigned": true, "eventTypeUuid": "string", "order": 0, "deactivatedAt": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string"
{
}
Get a TimeEntryType
GET
/v2/time-entry-types/{timeEntryTypeUuid}
Get a TimeEntryType by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
timeEntryTypeUuid*
Type
Requiredstring
Format
"uuid"Responses
TimeEntryType found
application/json
JSON "uuid": "string", "name": "string", "isUnassigned": true, "eventTypeUuid": "string", "order": 0, "deactivatedAt": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string"
{
}
Update a TimeEntryType
PATCH
/v2/time-entry-types/{timeEntryTypeUuid}
Update a TimeEntryType by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
timeEntryTypeUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "name": "string", "order": 0, "deactivatedAt": "string", "externalId": "string"
{
}
Responses
TimeEntryType found
application/json
JSON "uuid": "string", "name": "string", "isUnassigned": true, "eventTypeUuid": "string", "order": 0, "deactivatedAt": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string"
{
}